Subject: Bug#569: [X2Go-Dev] Bug#569: Cinnamon 1.4: Failed to load session "cinnamon2d"

From: Mike Gabriel <[email-masked]>
Date: Fri, 15 Aug 2014 09:18:43 +0000

Hi Mike#2

On  Do 14 Aug 2014 15:48:33 CEST, Michael DePaulo wrote:

> Package: x2goserver
> Version: 4.1.0.0-nightly
>
> When I attempt to launch "session type" "custom desktop" "CINNAMON", I
> get this error dialog:
> Failed to load session "Cinnamon2d"
> http://imgur.com/VQ0A1si
>
> I emailed bug report 150 a bunch of details about Cinnamon 1.4 and my
> test setup, but those details are not showing up on bug report 150. So
> I am copying them (and made minor updates) below:
>
> Clearly the problem is that x2goruncommand has incorrect logic for
> launching this version of Cinnamon, 1.4.
>
> Remember that this version of CInnamon, on this version of Linux
> Mint, is supported through April 2017.
>
> Version 1.4 is probably used on other distros too.

Can you provide a patch for x2goruncommand? Probably for x2goserver on  
release/4.0.1.x branch?

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb